package capitulo05.bloque02.coleccionAntiguedades;

public class Libro extends Antiguedad{
    private String autor;
    private String titulo;

    public Libro() {
    }

    public Libro(int anoFabricacion, String origen, float precioVenta, String autor, String titulo) {
        super(anoFabricacion, origen, precioVenta);
        this.autor = autor;
        this.titulo = titulo;
    }

    public String getAutor() {
        return autor;
    }

    public void setAutor(String autor) {
        this.autor = autor;
    }

    public String getTitulo() {
        return titulo;
    }

    public void setTitulo(String titulo) {
        this.titulo = titulo;
    }

    @Override
    public String toString() {
        return "Libro{" +

                "anoFabricacion=" + super.getAnoFabricacion() +
                ", origen='" + super.getOrigen() + '\'' +
                ", precioVenta=" + super.getPrecioVenta() +

                ", autor='" + autor + '\'' +
                ", titulo='" + titulo + '\'' +
                '}';
    }
}
